Community users list with summary stats
curl --request GET \
--url https://{subdomain}.nudj.cx/api/v2/analytics/community/users/listimport requests
url = "https://{subdomain}.nudj.cx/api/v2/analytics/community/users/list"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{subdomain}.nudj.cx/api/v2/analytics/community/users/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"summary": {
"totalUsers": 123,
"activeUsers": 123,
"averagePoints": 123,
"mostRecentUserDate": "<string>"
},
"data": {
"data": [
{
"_id": "<string>",
"createdAt": "<string>",
"stats": {
"totalPoints": 123,
"totalXP": 123,
"lastActivity": "<string>",
"totalAchievements": 123,
"totalChallengesCompleted": 123,
"totalRewardsEarned": 123,
"streakInfo": {
"currentStreak": 123,
"longestStreak": 123
}
},
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"displayName": "<string>",
"bio": "<string>",
"phoneNumber": "<string>",
"updatedAt": "<string>",
"lastLoginAt": "<string>",
"emailVerified": "<string>",
"roles": [
"<string>"
],
"role": "<string>",
"profilePicture": "<string>",
"profilePictureUrl": "<string>"
}
],
"pagination": {
"total": 123,
"skip": 123,
"limit": 123
}
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Community
Community users list with summary stats
Returns summary stats and a paginated list of users with community-computed stats.
GET
/
community
/
users
/
list
Community users list with summary stats
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 100Field to sort by. Supports base fields (createdAt, username, email, lastLoginAt, status, role, lastActivity) and computed stats (totalPoints, totalXP, totalAchievements, totalChallengesCompleted, totalRewards, currentStreak, longestStreak).
Available options:
createdAt, username, email, lastLoginAt, status, role, lastActivity, totalPoints, totalXP, totalAchievements, totalChallengesCompleted, totalRewards, currentStreak, longestStreak Available options:
asc, desc Was this page helpful?
⌘I

